<p-toast></p-toast>
<form [formGroup]="bookForm" (ngSubmit)="save()">
  <div class="p-fluid p-formgrid p-grid">
    <div class="p-field p-col-4">
      <label for="isbn">ISBN</label>
      <input name="isbn" type="text" formControlName="isbn" [ngClass]="{'ng-invalid ng-dirty': !isbn!.valid && (isbn!.touched|| isbn!.dirty )}" pInputText>
      <small class="p-error" *ngIf="!isbn!.valid && (isbn!.touched|| isbn!.dirty )">Isbn is required</small>
    </div>
    <div class="p-field p-col-8">
      <label for="publisher">Publisher</label>
      <input name="publisherName" type="text" formControlName="publisherName" [ngClass]="{'ng-invalid ng-dirty': !publisherName!.valid && (publisherName!.touched|| publisherName!.dirty )}" pInputText>
      <small class="p-error" *ngIf="!publisherName!.valid && (publisherName!.touched|| publisherName!.dirty )">Publisher is required</small>
    </div>
     <div class="p-field p-col-12">
      <label for="title">Title</label>
      <input name="title" type="text" formControlName="title" [ngClass]="{'ng-invalid ng-dirty': !title!.valid && (title!.touched|| title!.dirty )}" pInputText>
      <small class="p-error" *ngIf="!title!.valid && (title!.touched|| title!.dirty )">Title is required</small>
    </div>
    <div class="p-field p-col-12">
      <label for="subtitle">Subtitle</label>
      <input name="subtitle" type="text" formControlName="subtitle" pInputText>
    </div>
    <div class="p-field p-col-4">
      <label for="published_year">Published Year</label>
      <input id="publishedYear" type="text" formControlName="publishedYear" [ngClass]="{'ng-invalid ng-dirty': !publishedYear!.valid && (publishedYear!.touched|| publishedYear!.dirty )}" pInputText>
      <small class="p-error" *ngIf="!publishedYear!.valid && (publishedYear!.touched|| publishedYear!.dirty )">Year is required</small>
    </div>
    <div class="p-field p-col-8">
      <label for="price">Price</label>
      <input id="price" type="text" formControlName="price" [ngClass]="{'ng-invalid ng-dirty': !price!.valid && (price!.touched|| price!.dirty )}" pInputText>
      <small class="p-error" *ngIf="!price!.valid && (price!.touched|| price!.dirty )">Price is required</small>
    </div>
    <div class="p-field p-col-3 p-offset-6">
        <button pButton pRipple  label="Cancel" class="p-button-raised p-button-danger" (click)="resetForm()"></button>
    </div>
    <div class="p-field p-col-3">
        <button pButton pRipple type="submit" label="Save" class="p-button-raised p-button-success"></button>
    </div>
  </div>
</form>

